org.apache.cassandra.db.composites

## Interface CellNameType.Deserializer

- Enclosing interface:
    CellNameType

      public static interface CellNameType.Deserializer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareNextTo(Composite composite)` Compare the next name to read to the provided Composite.
    `boolean` | `hasNext()` Whether this deserializer is done or not, i.e.
    `boolean` | `hasUnprocessed()` Whether or not some name has been read but not consumed by readNext.
    `Composite` | `readNext()` Actually consume the next name and return it.
    `void` | `skipNext()` Skip the next name (consuming it).

- - ### Method Detail

    - #### hasNext

          boolean hasNext()
                   throws java.io.IOException

      Whether this deserializer is done or not, i.e. whether we're reached the end of row marker.
      Throws:
        `java.io.IOException`

    - #### hasUnprocessed

          boolean hasUnprocessed()
                          throws java.io.IOException

      Whether or not some name has been read but not consumed by readNext.
      Throws:
        `java.io.IOException`

    - #### compareNextTo

          int compareNextTo(Composite composite)
                     throws java.io.IOException

      Compare the next name to read to the provided Composite. This does not consume the next name.
      Throws:
        `java.io.IOException`

    - #### readNext

          Composite readNext()
                      throws java.io.IOException

      Actually consume the next name and return it.
      Throws:
        `java.io.IOException`

    - #### skipNext

          void skipNext()
                 throws java.io.IOException

      Skip the next name (consuming it).
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation